Package com.databend.jdbc

# Class ConnectionProperties.StrNullAsNull

java.lang.Object
com.databend.jdbc.ConnectionProperties.StrNullAsNull

Enclosing class:
  ConnectionProperties

public static class ConnectionProperties.StrNullAsNull extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final java.util.function.Predicate<Properties>`
`ALLOWED`
`protected static final com.databend.jdbc.AbstractConnectionProperty.Converter<Boolean>`
`BOOLEAN_CONVERTER`
`protected static final com.databend.jdbc.AbstractConnectionProperty.Converter<File>`
`FILE_CONVERTER`
`protected static final com.databend.jdbc.AbstractConnectionProperty.Converter<Integer>`
`INTEGER_CONVERTER`
`protected static final com.databend.jdbc.AbstractConnectionProperty.Converter<String>`
`NON_EMPTY_STRING_CONVERTER`
`protected static final java.util.function.Predicate<Properties>`
`NOT_REQUIRED`
`protected static final com.databend.jdbc.AbstractConnectionProperty.Converter<String>`
`STRING_CONVERTER`

## Constructor Summary

Constructors
Constructor
Description
`StrNullAsNull()`

## Method Summary

Modifier and Type
Method
Description
`protected static <T> java.util.function.Predicate<T>`
`checkedPredicate(com.databend.jdbc.AbstractConnectionProperty.CheckedPredicate<T> predicate)`
`Optional<String>`
`getDefault()`
`DriverPropertyInfo`
`getDriverPropertyInfo(Properties mergedProperties)`
`String`
`getKey()`
`default Boolean`
`getRequiredValue(Properties properties)`
`Optional<Boolean>`
`getValue(Properties properties)`
`boolean`
`isAllowed(Properties properties)`
`boolean`
`isRequired(Properties properties)`
`void`
`validate(Properties properties)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NOT_REQUIRED

protected static final java.util.function.Predicate<Properties> NOT_REQUIRED

### ALLOWED

protected static final java.util.function.Predicate<Properties> ALLOWED

### STRING_CONVERTER

protected static final com.databend.jdbc.AbstractConnectionProperty.Converter<String> STRING_CONVERTER

### NON_EMPTY_STRING_CONVERTER

protected static final com.databend.jdbc.AbstractConnectionProperty.Converter<String> NON_EMPTY_STRING_CONVERTER

### FILE_CONVERTER

protected static final com.databend.jdbc.AbstractConnectionProperty.Converter<File> FILE_CONVERTER

### BOOLEAN_CONVERTER

protected static final com.databend.jdbc.AbstractConnectionProperty.Converter<Boolean> BOOLEAN_CONVERTER

### INTEGER_CONVERTER

protected static final com.databend.jdbc.AbstractConnectionProperty.Converter<Integer> INTEGER_CONVERTER

## Constructor Details

### StrNullAsNull

public StrNullAsNull()

## Method Details

### checkedPredicate

protected static <T> java.util.function.Predicate<T> checkedPredicate(com.databend.jdbc.AbstractConnectionProperty.CheckedPredicate<T> predicate)

### getKey

public String getKey()

### getDefault

public Optional<String> getDefault()

### isRequired

public boolean isRequired(Properties properties)

### isAllowed

public boolean isAllowed(Properties properties)

### getValue

public Optional<Boolean> getValue(Properties properties) throws SQLException

Throws:
  `SQLException`

### getDriverPropertyInfo

public DriverPropertyInfo getDriverPropertyInfo(Properties mergedProperties)

### validate

public void validate(Properties properties) throws SQLException

Throws:
  `SQLException`

### getRequiredValue

default Boolean getRequiredValue(Properties properties) throws SQLException

Throws:
  `SQLException`